allocators.hpp File Reference
`#include <limits>`

Go to the source code of this file.

## Classes

struct | Gecode::space_allocator< void >
| Space allocator - specialization for `void`. More...
struct | Gecode::space_allocator< void >::rebind
| Rebinding helper (returns the type of a similar allocator for type U). More...
struct | Gecode::space_allocator< T >
| Allocator that allocates memory from a space heap. More...
struct | Gecode::space_allocator< T >::rebind< U >
| Rebinding helper (returns the type of a similar allocator for type U). More...
struct | Gecode::region_allocator< void >
| Region allocator - specialization for `void`. More...
struct | Gecode::region_allocator< void >::rebind
| Rebinding helper (returns the type of a similar allocator for type U). More...
struct | Gecode::region_allocator< T >
| Allocator that allocates memory from a region. More...
struct | Gecode::region_allocator< T >::rebind< U >
| Rebinding helper (returns the type of a similar allocator for type U). More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace

## Functions

template<class T1, class T2>
bool | Gecode::operator== (space_allocator< T1 > const &al1, space_allocator< T2 > const &al2) throw ()
| Tests two space allocators for equality.
template<class T1, class T2>
bool | Gecode::operator!= (space_allocator< T1 > const &al1, space_allocator< T2 > const &al2) throw ()
| Tests two space allocators for inequality.
template<class T1, class T2>
bool | Gecode::operator== (region_allocator< T1 > const &al1, region_allocator< T2 > const &al2) throw ()
template<class T1, class T2>
bool | Gecode::operator!= (region_allocator< T1 > const &al1, region_allocator< T2 > const &al2) throw ()